Name:		fence-agents
Version:	4.11.0
Release:	%mkrel 1
Summary:	Fencing agents for cluster suite
Group:		System/Kernel and hardware
URL:		https://fedorahosted.org/cluster/wiki/HomePage
Source:		https://github.com/ClusterLabs/fence-agents/archive/v%{version}/%{name}-%{version}.tar.gz
License:	GPLv2

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(libvirt)
BuildRequires:	pkgconfig(corosync)
BuildRequires:	pkgconfig(python3)
BuildRequires:	python3-pexpect
BuildRequires:	python3-boto3
BuildRequires:	python3-curl
BuildRequires:	python3-google-api-python-client
BuildRequires:	python3-keystoneauth1
BuildRequires:	python3-requests
BuildRequires:	python3-suds
BuildRequires:	libxml2-utils
BuildRequires:	xsltproc
BuildRequires:	perl(Net::Telnet)

Requires:	sg3_utils
Requires:	netkit-telnet
Requires:	openssh-clients
Requires:	python3-pexpect
Requires:	python3-boto3
Requires:	python3-curl
Requires:	python3-google-api-python-client
Requires:	python3-keystoneauth1
Requires:	python3-suds
Requires:	net-snmp-utils
Requires:	perl-Net-Telnet

Conflicts:	cman < 3.0.0

%description
Fence Agents is a collection of scripts to handle remote
power management for several devices.

%prep
%setup -q

%build
test -e .tarball-version || echo "%{version}" > .tarball-version
./autogen.sh
%configure PYTHON="%{__python3}" --disable-static
%make_build

%install
%make_install
rm -f "%{buildroot}/%{_datadir}/pkgconfig/fence-agents.pc"

%files
%doc doc/COPYING.* doc/COPYRIGHT doc/README.licence
%{_sysconfdir}/fence_virt.conf
%{_sbindir}/fence_*
%{_datadir}/fence
%{_datadir}/cluster/*
%{_mandir}/man5/fence_*.5.*
%{_mandir}/man8/fence_*.8.*
%{_libexecdir}/fence_kdump_send
%{_libdir}/fence-virt/


%changelog
* Sun Nov 13 2022 danf <danf> 4.11.0-1.mga9
+ Revision: 1906689
- Embed version number since Github tarballs don't contain it
+ neoclust <neoclust>
- New version 4.11.0
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 4.5.1-2.mga8
+ Revision: 1536671
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon Oct 21 2019 daviddavid <daviddavid> 4.5.1-1.mga8
+ Revision: 1454932
- new version: 4.5.1
- port to python 3

* Sun Oct 07 2018 pterjan <pterjan> 4.3.0-1.mga7
+ Revision: 1318552
- Add missing BuildRequires
- Update to 4.3.0
+ umeabot <umeabot>
- Mageia 7 Mass Rebuild

* Wed Feb 17 2016 umeabot <umeabot> 4.0.10-4.mga6
+ Revision: 964003
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.0.10-3.mga5
+ Revision: 748921
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.0.10-2.mga5
+ Revision: 679153
- Mageia 5 Mass Rebuild

* Wed Jul 02 2014 sander85 <sander85> 4.0.10-1.mga5
+ Revision: 642260
- New version: 4.0.10

* Thu Jun 19 2014 sander85 <sander85> 4.0.9-1.mga5
+ Revision: 638147
- New version: 4.0.9

* Mon Oct 21 2013 umeabot <umeabot> 4.0.3-2.mga4
+ Revision: 537004
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 boklm <boklm> 4.0.3-1.mga4
+ Revision: 486143
- Version 4.0.3

* Fri Jan 11 2013 umeabot <umeabot> 3.1.8-3.mga3
+ Revision: 350190
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Apr 20 2012 boklm <boklm> 3.1.8-2.mga2
+ Revision: 232181
- fix requires

* Fri Apr 20 2012 boklm <boklm> 3.1.8-1.mga2
+ Revision: 232133
- version 3.1.8
- fix requires and build requires
- update URL

* Fri May 20 2011 boklm <boklm> 3.0.17-2.mga1
+ Revision: 99962
- imported package fence-agents

